routes/web.php
<?php

Route::get('/', function () {
    return view('auth/login');
});

Auth::routes();
//===========================Route GET
Route::get('/logout', 'HomeController@logout');
Route::get('/home', 'HomeController@index')->name('home');
Route::post('home/get_pendapatan', 'HomeController@get_pendapatan')->name('pendapatan');
Route::post('home/get_sales', 'HomeController@get_sales')->name('sales');
Route::post('home/get_purchase', 'HomeController@get_purchase')->name('purchase');

Route::get('Bank/datatable', 'BankController@datatable')->name('Bank.datatable');
Route::resource('Bank', 'BankController');
Route::post('Bank/update_data', 'BankController@update_data')->name('Bank.update_data');

Route::get('GroupCOA/datatable', 'GroupCoaController@datatable')->name('GroupCoa.datatable');
Route::resource('GroupCOA', 'GroupCoaController');
Route::post('GroupCOA/update_data', 'GroupCoaController@update_data')->name('GroupCOA.update_data');

Route::get('Coa/datatable', 'CoaController@datatable')->name('Coa.datatable');
Route::resource('Coa', 'CoaController');
Route::post('Coa/update_data', 'CoaController@update_data')->name('Coa.update_data');

Route::get('Matauang/datatable', 'MatauangController@datatable')->name('Matauang.datatable');
Route::get('/Matauang', 'MatauangController@index');
Route::get('/Matauang/tambah_data', 'MatauangController@tambah_data');
Route::get('/Matauang/edit/{id}', 'MatauangController@edit_data');
Route::delete('/Matauang/editstatus/{id}', 'MatauangController@editstatus');

Route::get('Kota/datatable', 'KotaController@datatable')->name('Kota.datatable');
Route::resource('Kota', 'KotaController');
Route::post('Kota/update_data', 'KotaController@update_data')->name('Kota.update_data');

Route::get('Gudang/datatable', 'GudangController@datatable')->name('Gudang.datatable');
Route::resource('Gudang', 'GudangController');
Route::post('Gudang/update_data', 'GudangController@update_data')->name('Gudang.update_data');

Route::get('GroupSupplier/datatable', 'GroupSupplierController@datatable')->name('GroupSupplier.datatable');
Route::resource('GroupSupplier', 'GroupSupplierController');
Route::post('GroupSupplier/update_data', 'GroupSupplierController@update_data')->name('GroupSupplier.update_data');

Route::get('Supplier/datatable', 'SupplierController@datatable')->name('Supplier.datatable');
Route::resource('Supplier', 'SupplierController');
Route::post('Supplier/update_data', 'SupplierController@update_data')->name('Supplier.update_data');

Route::get('GroupCustomer/datatable', 'GroupCustomerController@datatable')->name('GroupCustomer.datatable');
Route::resource('GroupCustomer', 'GroupCustomerController');
Route::post('GroupCustomer/update_data', 'GroupCustomerController@update_data')->name('GroupCustomer.update_data');

Route::get('Customer/datatable', 'CustomerController@datatable')->name('Customer.datatable');
Route::resource('Customer', 'CustomerController');
Route::post('Customer/update_data', 'CustomerController@update_data')->name('Customer.update_data');

Route::get('GroupBarang/datatable', 'GroupBarangController@datatable')->name('GroupBarang.datatable');
Route::get('/GroupBarang', 'GroupbarangController@index');
Route::get('/Groupbarang/tambah_group', 'GroupbarangController@tambah_data');
Route::get('/GroupBarang/edit_group_barang/{id}', 'GroupbarangController@editdata');
Route::delete('/GroupBarang/hapus_group_barang/{id}', 'GroupbarangController@hapusdata');

Route::get('Kategori/datatable', 'KategoriController@datatable')->name('Kategori.datatable');
Route::resource('Kategori', 'KategoriController');
Route::post('Kategori/update_data', 'KategoriController@update_data')->name('Kategori.update_data');

Route::get('Ukuran/datatable', 'UkuranController@datatable')->name('Ukuran.datatable');
Route::resource('Ukuran', 'UkuranController');
Route::post('Ukuran/update_data', 'UkuranController@update_data')->name('Ukuran.update_data');

Route::get('Satuan/datatable', 'SatuanController@datatable')->name('Satuan.datatable');
Route::resource('Satuan', 'SatuanController');
Route::post('Satuan/update_data', 'SatuanController@update_data')->name('Satuan.update_data');

Route::get('Tipe/datatable', 'TipeController@datatable')->name('Tipe.datatable');
Route::resource('Tipe', 'TipeController');
Route::post('Tipe/update_data', 'TipeController@update_data')->name('Tipe.update_data');

Route::get('/Barang', 'BarangController@index');
Route::get('Barang/datatable', 'BarangController@datatable')->name('Barang.datatable');
Route::get('/Barang/create', 'BarangController@create');
Route::get('/Barang/edit_barang/{id}', 'BarangController@update');
Route::delete('/Barang/hapus_barang/{id}', 'BarangController@editstatus');
Route::get('Barang/pencarian', 'BarangController@pencarian');

// Harga Jual //
Route::get('HargaJualBarang/datatable', 'HargaJualBarangController@datatable')->name('HargaJualBarang.datatable');
Route::post('HargaJualBarang/update_data', 'HargaJualBarangController@update_data')->name('HargaJualBarang.update_data');
Route::resource('HargaJualBarang', 'HargaJualBarangController');
Route::post('HargaJualBarang/get_satuan', 'HargaJualBarangController@get_satuan')->name('HargaJualBarang.get_satuan');

Route::get('Po/laporan', 'POController@laporan')->name('Po.laporan');
Route::get('Po/datatable', 'POController@datatable')->name('Po.datatable');
Route::get('Po/datatable_detail', 'POController@datatable_detail')->name('Po.datatable_detail');
Route::get('Po/get_barang', 'POController@get_barang')->name('Po.get_barang');
Route::get('Po/get_satuan', 'POController@get_satuan')->name('Po.get_satuan');
Route::get('Po/get_harga_jual', 'POController@get_harga_jual')->name('Po.get_harga_jual');
Route::get('Po/laporan_po', 'POController@laporan_po')->name('Po.laporan_po');
Route::resource('Po', 'POController');
Route::post('Po/number_so', 'POController@number_so')->name('Po.number');
Route::post('Po/get_coa', 'POController@get_coa')->name('Po.get_coa');
Route::post('Po/update_data', 'POController@update_data')->name('Po.update_data');
Route::get('Po/detail/{id}', 'POController@detail')->name('Po.detail');
Route::get('Po/print/{id}', 'POController@print')->name('Po.print');

// PENERIMAAN BARANG //
Route::get('PenerimaanBarang/datatable_detail', 'PenerimaanBarangController@datatable_detail')->name('PenerimaanBarang.datatable_detail');
Route::get('PenerimaanBarang/datatable_laporan', 'PenerimaanBarangController@datatable_laporan')->name('PenerimaanBarang.datatable_laporan');
Route::get('PenerimaanBarang/datatable', 'PenerimaanBarangController@datatable')->name('PenerimaanBarang.datatable');
Route::get('PenerimaanBarang/get_purchase_order_detail', 'PenerimaanBarangController@get_purchase_order_detail')->name('PenerimaanBarang.purchase_order_detail');
Route::get('Laporan_penerimaan_barang/index', 'PenerimaanBarangController@laporan')->name('PenerimaanBarang.laporan');
Route::resource('PenerimaanBarang', 'PenerimaanBarangController');
Route::post('PenerimaanBarang/get_purchase_order', 'PenerimaanBarangController@get_purchase_order')->name('PenerimaanBarang.purchase_order');
Route::get('PenerimaanBarang/detail/{id}', 'PenerimaanBarangController@detail')->name('PenerimaanBarang.detail');
Route::get('PenerimaanBarang/print/{id}', 'PenerimaanBarangController@print')->name('PenerimaanBarang.print');
Route::post('PenerimaanBarang/update_data', 'PenerimaanBarangController@update_data')->name('PenerimaanBarang.update_data');

// INVOICE PEMBELIAN //
Route::get('InvoicePembelian/laporan', 'InvoicePembelianController@laporan')->name('InvoicePembelian.laporan');
Route::get('InvoicePembelian/datatable', 'InvoicePembelianController@datatable')->name('InvoicePembelian.datatable');
Route::get('InvoicePembelian/datatable_detail', 'InvoicePembelianController@datatable_detail')->name('InvoicePembelian.datatable_detail');
Route::get('InvoicePembelian/get_penerimaan_barang_detail', 'InvoicePembelianController@get_penerimaan_barang_detail')->name('InvoicePembelian.penerimaan_barang_detail');
Route::get('InvoicePembelian/laporan_invoice', 'InvoicePembelianController@laporan_invoice')->name('InvoicePembelian.laporan_invoice');
Route::get('InvoicePembelian/datatable_laporan', 'InvoicePembelianController@datatable_laporan')->name('InvoicePembelian.datatable_laporan');
Route::resource('InvoicePembelian', 'InvoicePembelianController');
Route::post('InvoicePembelian/number_invoice', 'InvoicePembelianController@number_invoice')->name('InvoicePembelian.number');
Route::post('InvoicePembelian/get_penerimaan_barang', 'InvoicePembelianController@get_penerimaan_barang')->name('InvoicePembelian.penerimaan_barang');
// Route::get('InvoicePembelian/detail/{id}', 'InvoicePembelianController@detail')->name('InvoicePembelian.detail');
Route::get('InvoicePembelian/print/{id}', 'InvoicePembelianController@print')->name('InvoicePembelian.print');
Route::post('InvoicePembelian/get_coa', 'InvoicePembelianController@get_coa')->name('InvoicePembelian.get_coa');
Route::post('InvoicePembelian/update_data', 'InvoicePembelianController@update_data')->name('InvoicePembelian.update_data');
Route::get('InvoicePembelian/get_barang', 'InvoicePembelianController@get_barang')->name('InvoicePembelian.get_barang');
Route::get('InvoicePembelian/get_satuan', 'InvoicePembelianController@get_satuan')->name('InvoicePembelian.get_satuan');
Route::get('InvoicePembelian/get_harga_jual', 'InvoicePembelianController@get_harga_jual')->name('InvoicePembelian.get_harga_jual');
Route::get('/InvoicePembelian/show/{id}', 'InvoicepembelianController@showdata');

Route::get('ReturPembelian/get_pembelian', 'ReturPembelianController@get_pembelian')->name('ReturPembelian.get_pembelian');
Route::get('ReturPembelian/laporan', 'ReturPembelianController@index')->name('ReturPembelian.laporan');
Route::get('ReturPembelian/datatable', 'ReturPembelianController@datatable')->name('ReturPembelian.datatable');

resources/views/customer/create.blade.php
@extends('layouts.app')   
@section('content')
<div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="{{url('Customer')}}">Data Customer</a>
                <i class="fa fa-angle-right"></i>
                <a href="#">Tambah Data Customer</a>
        </h2>
    </div>
    <br>
    <div class="banner text-center" style="font-size: 14px; font-weight: bold;color: #fff;background-color: #254283;padding: 10px; height: 50px;">
        <span>Tambah Data Customer</span>
    </div>
    <div class="banner">
        <form id="form-data">
            <div class="container">
            <br><br>
            <div class="col-md-3">
            <label class="judul">Group Customer</label>
            </div>
            <div class="col-md-9">
            <select data-placeholder="Pilih Group Customer"  name="IDGroupCustomer" id="IDGroupCustomer" required oninvalid="this.setCustomValidity('Group Customer Tidak Boleh Kosong')" oninput="setCustomValidity('')" style=" width:75%;" class="form-control select2" tabindex="13">
                <option value=""></option> 
                <?php foreach($groupcustomer as $group)
                {
                    echo "<option value='$group->IDGroupCustomer'>$group->Nama_Group_Customer</option>";
                } 
                ?>
            </select>
            <div class="flot-right btn btn-primary hvr-icon-float-away">
                <a data-toggle="modal" data-target="#modalgroup"><span style="color: white;">Group Customer </span></a>
            </div>
            <br><br>
            </div>
                <div class="col-md-3">
                    <label class="judul">Kode Customer</label>
                </div>
                <div class="col-md-9">
                    <input type="tex" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Kode Customer" name="Kode_Customer" id="Kode_Customer" required oninvalid="this.setCustomValidity('Kode Customer Tidak Boleh Kosong')" oninput="setCustomValidity('')" value="{{ $kode_customer }}" readonly>
                    <br><br>
                </div>

                <div class="col-md-3">
                    <label class="judul">Nama Customer</label>
                </div>
                <div class="col-md-9">
                <input type="text" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Nama" name="Nama" id="Nama" required oninvalid="this.setCustomValidity('Nama Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">Alamat</label> 
                </div>
                <div class="col-md-9">
                <textarea class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Alamat" name="Alamat" id="Alamat" required oninvalid="this.setCustomValidity('Alamat Tidak Boleh Kosong')" oninput="setCustomValidity('')" style="resize: none;" rows="6"></textarea>
                <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">Kota</label>        
                </div>
                <div class="col-md-9">
                <select data-placeholder="Pilih Kota"  name="IDKota" id="IDKota" required oninvalid="this.setCustomValidity('Kota Tidak Boleh Kosong')" oninput="setCustomValidity('')" style=" width:75%;" class="chosen-select" tabindex="13">
                    <option value=""></option> 
                    <?php foreach($kota as $kot)
                    {
                        echo "<option value='$kot->IDKota'>$kot->Kota</option>";
                    } 
                    ?>
                </select>
                <div class="flot-right btn btn-primary hvr-icon-float-away">
                    <a data-toggle="modal" data-target="#modalkota"><span style="color: white;">Tambah Kota</span></a>
                </div>
                <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">No Telepon</label>
                </div>
                <div class="col-md-9">              
                    <input type="tex" class="form-control" placeholder="+62" name="No_Telpon" id="No_Telpon" required oninvalid="this.setCustomValidity('No Telpon Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">Fax</label>               
                </div>
                <div class="col-md-9">
                    <input type="tex" class="form-control" name="Fax" id="Fax" placeholder=" Fax" required oninvalid="this.setCustomValidity('Fax Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">Email</label>
                </div>
                <div class="col-md-9">
                <input type="email" class="form-control" name="Email" id="Email" placeholder=" Email"  required oninvalid="this.setCustomValidity('Email Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                <br><br>
                </div>

                <div class="col-md-3">
                <label class="judul">NPWP</label>
                </div>
                <div class="col-md-9">
                <input type="tex" class="form-control" name="NPWP" id="NPWP" placeholder=" NPWP" required oninvalid="this.setCustomValidity('NPWP Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                <br><br>
                </div>
                
                <div class="col-md-3">
                <label class="judul">No KTP</label>
                </div> 
                <div class="col-md-9">
                <input type="tex" class="form-control" name="No_KTP" id="No_KTP" placeholder=" No_KTP" required oninvalid="this.setCustomValidity('No KTP Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                </div>
                
            </div>
            <div class="text-center">
                <br><br>
                <div class="btn col-11 hvr-icon-back">
                    <span> <a href="{{url('Customer')}}" style="color: white;" name="simpan">Kembali</a></span>
                </div>
                <div class="btn">
                    <button type="submit" class="btn btn-success hvr-icon-float-away">Simpan</button>
                </div>
            </div>
        </form>
    </div>
</div>

</div>



      <div id="modalgroup" class="modal fade" role="dialog">
              <div class="modal-dialog">
                <form method="post" action="simpangroup" enctype="multipart/form-data" class="form_container left_label">
                <!-- Modal content-->
                {{ csrf_field() }}
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Tambah Data Group Customer</h4>
                  </div>
                  <div class="modal-body">
                    <div class="col-md-3">
                      <label class="judul">Kode Group Customer</label>             
                    </div>
                    <div class="col-md-9">
                      <input type="text" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Kode Group Customer" name="kode_group" id="kode_group" required oninvalid="this.setCustomValidity('Kode Group Customer Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                    </div>

                    <div class="col-md-3">
                      <label class="judul">Group Customer</label>
                </div>
                    <div class="col-md-9">
                      <input type="text" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Nama Group Customer" name="groupcustomer" id="groupcustomer" required oninvalid="this.setCustomValidity('Nama Group Customer Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                    </div>

                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-success">Simpan</button>
                  </div>
                </div>
              </form>
              </div>
            </div>


            <div id="modalkota" class="modal fade" role="dialog">
              <div class="modal-dialog">
                <form method="post" action="simpankota" enctype="multipart/form-data" class="form_container left_label">
                <!-- Modal content-->
                {{ csrf_field() }}
                <div class="modal-content">
                  <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                    <h4 class="modal-title">Tambah Kota</h4>
                  </div>
                  <div class="modal-body">
                    <div class="col-md-3">
                      <label class="judul">Kode Kota</label>             
                    </div>
                    <div class="col-md-9">
                      <input type="tex" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Kode Kota" name="kode" required oninvalid="this.setCustomValidity('Kode Kota Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                    </div>

                    <div class="col-md-3">
                      <label class="judul">Provinsi</label>
                </div>
                    <div class="col-md-9">
                      <input type="tex" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Provinsi" name="provinsi" required oninvalid="this.setCustomValidity('Provinsi Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                    </div>

                    <div class="col-md-3">
                      <label class="judul">Kota</label>
                </div>
                    <div class="col-md-9">
                      <input type="tex" class="form-control" onkeyup="javascript:this.value=this.value.toUpperCase();" placeholder="Kota" name="kota" required oninvalid="this.setCustomValidity('Kota Tidak Boleh Kosong')" oninput="setCustomValidity('')">
                    <br><br>
                    </div>

                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Batal</button>
                    <button type="submit" class="btn btn-success">Simpan</button>
                  </div>
                </div>
              </form>
              </div>
            </div>

            
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.1/jquery.validate.js"> </script>
<script>
  var urlIndex            = '{{ url("Customer") }}';
  var urlInsert           = '{{ route("Customer.store") }}';
  var url                 = '{{ url("Customer") }}';
  var urlKodeCustomer    = '{{ route("Customer.kode") }}';
</script>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/customer/create.js') }}"></script>
@endsection 

resources/views/customer/index.blade.php
@extends('layouts.app')   
@section('content')
<style>
    span a .fa {
        cursor: pointer;
        padding: 5px;
    }
</style>
<div class="main-grid">
    <div class="banner">
        <h2>
            <span><i class="fa fa-home"></i><a class="action-icons" href="{{url('home')}}" title="Dashboard" style="border: none;">Home</a></span>
                <i class="fa fa-angle-right"></i>
                <a href="#">Data Customer</a>
        </h2>
    </div>
    <br>
    <div class="banner container">
            <div class="col-md-12">
                <div class="btn btn-primary hvr-icon-float-away">
                    <a href="{{route('Customer.create')}}"><span style="color: white;">Tambah Data</span></a>
                </div>
            </div>
            <br><br>
            <div class="col-md-3">
              <label class="field_title mt-dot2">.</label>
              <select data-placeholder="Cari Berdasarkan" name="field" id="field" style="width: 100%!important" class="chosen-select" tabindex="13">
                <option value=""></option>
                <option value="Nama_Group_Customer">Nama Group Customer</option>
                <option value="Kode_Customer">Kode Customer</option>
                <option value="Nama">Nama</option>
                <option value="Alamat">Alamat</option>
                <option value="No_Telpon">No Telpon</option>
                <option value="Kota">Kota</option>
                <option value="Fax">Fax</option>
                <option value="Email">Email</option>
                <option value="NPWP">NPWP</option>
                <option value="No_KTP">No KTP</option>
              </select>
            </div>
            <div class="col-md-3">
                <div class="form_grid_2">
                    <label class="field_title mt-dot2">.</label>
                    <input name="keyword" id="keyword" type="tex" class="form-control">
                </div>
            </div>
            <div class="col-md-3">
                <div class="form_grid_2">
                    <label>&nbsp;.</label>
                    <br>
                    <button id="cari-data" class="btn btn-primary"><i class="fa fa-search"></i>&nbsp;Search</button>
                </div>                
            </div>
    </div>
    <br>
    <div class="banner">
      <table id="table-data" class="table cell-border" width="100%" style="background-color: #254283; font-size: 12px;">
        <thead style="color: #fff">
            <th>No</th>
            <th>Nama Group Customer</th>
            <th>Kode Customer</th>
            <th>Nama</th>
            <th>Aktif</th>
            <th>Aksi</th>
        </thead>
    </div>
</div>

</div>

<script src="{{ asset('js/global.js') }}"></script>
<script src="{{ asset('js/customer/index.js') }}"></script>
<script>
    var urlData = '{{ route("Customer.datatable") }}';
    var url                 = '{{ url("Customer") }}';
</script>
@endsection 